%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif
%define daemon_user monitor
%define daemon_home /opt/monitor
%define daemon_shell /bin/bash
%define daemon_uid 299

Name: op5-monitor-user
Summary: Meta package that sets up op5 Monitor daemon user
Group: op5/Monitor
Version: %{op5version}
Release: %{op5release}%{?dist}
# To make ensure that the required groups have been created
Requires: op5-monitor-supported-webserver
Requires: sudo
License: MIT
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Obsoletes: op5-monitor-user-slim >= %version

%description
This meta package creates a local daemon user and group which is
used to run op5 Monitor.


%if 0%{?rhel} >= 7
%package slim
Summary: Meta package that sets up op5 Monitor daemon user
Requires: sudo
Provides: op5-monitor-user >= %version

%description slim
This meta package creates a local daemon user and group which is
used to run op5 Monitor.
%endif

%prep
%setup -q

%post
if ! id monitor &> /dev/null; then
	useradd -g %daemon_group -u %daemon_uid -d %daemon_home -s %daemon_shell -M %daemon_user
fi

%if 0%{?rhel} >= 7
%post slim
# For the slim package we don't add the apache group, as we do not have httpd
if ! id monitor &> /dev/null; then
	useradd -u %daemon_uid -d %daemon_home -s %daemon_shell -M %daemon_user
fi
%endif

%install
install --directory %buildroot%_docdir/op5-monitor-user-%{version}
install --directory %buildroot/etc/sudoers.d
install --preserve-timestamps --mode=0440 naemon.sudo %buildroot/etc/sudoers.d/naemon

%files
%defattr(644, root, root)
%attr(440,root,root) /etc/sudoers.d/naemon

%if 0%{?rhel} >= 7
%files slim
%defattr(644, root, root)
%attr(440,root,root) /etc/sudoers.d/naemon
%endif

%clean
rm -rf %buildroot
